@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Duplicates
@endsection

@section('contentheader_title')
	Review Duplicate Items
@endsection
@section('contentheader_description')
	{{ $catalog->count() }} to review
@endsection
@section('page_title')
	Duplicates
@endsection

@section('main-content')
	<div class="col-12">
		@if ($catalog->count())
			<span class="pagination justify-content-center">{{ $catalog->links() }}</span>

			<form action="{{ $return }}" method="POST">
				{{ csrf_field() }}

				<table class="table table-striped table-sm table-hover table-bordered">
					<thead>
					<tr>
						<th class="w-50">Source</th>
						<th class="w-50">Remove</th>
					</tr>
					</thead>

					@php $c=0; @endphp
					@foreach ($catalog as $o)
						@php
							$d=$o->list_duplicates(TRUE); $src=[];
						@endphp

					<tbody>
					<tr>
						<td>
							@if($d->where('duplicate',null)->count() > 1)
								More than 1 source?

							@elseif($d->count())
								@php($src=$d->first())
								@include('photo.widgets.thumbnail',['o'=>$src])
							@endif
						</td>

						@if ($d->count() == 1)
							<td>
								No other duplicates found?
							</td>
							@continue

						@else
							@foreach($d as $item)
								@if($loop->first) @continue @endif
								@php($diff=collect($src)->diffAssoc($item))
								<td>
									<input type="hidden" name="items[]" value="{{ $item->id }}">
									XX
									@include('photo.widgets.thumbnail',['o'=>$src])
								</td>
							@endforeach
						@endif
					</tr>
					</tbody>
					@endforeach
				</table>

				<input type="hidden" name="pagenext" value="{{ $catalog->hasMorePages() ? $catalog->currentPage()+1 : NULL }}">
				<button class="btn btn-primary">Update</button>
			</form>
		@else
			NONE!
		@endif
	</div>
@endsection